import pandas as pd
from tqdm import tqdm
import requests
from scrapy.selector import Selector

tqdm.pandas()

df = pd.read_feather('../../data/interim/titles_raw.feather')
clear_df = df.drop_duplicates(subset=['title'])




def get_article(url):
    try:
        request = requests.get(url)
        body = request.content.decode()
        text = "\n".join(Selector(text=body).css('.entry-content p::text').getall())
    except:
        text = None
        
    return text

clear_df['article'] = clear_df.url.progress_apply(get_article)

clear_df.reset_index().to_feather('../../data/interim/articles.feather')